using FishFactoryListImplement.Models;

namespace FishFactoryListImplement
{
    public class DataListSingleton
    {
        private static DataListSingleton? _instance;
        public List<Ingredient> Ingredients { get; set; }
        public List<Order> Orders { get; set; }
        public List<Canned> ListCanned { get; set; }
		public List<Client> Clients { get; set; }
        public List<Implementer> Implementers { get; set; }
        public List<Message> Messages { get; set; }

        private DataListSingleton()
        {
            Ingredients = new List<Ingredient>();
            Orders = new List<Order>();
            ListCanned = new List<Canned>();
            Clients = new List<Client>();
            Implementers = new List<Implementer>();
            Messages = new List<Message>();
        }

        public static DataListSingleton GetInstance()
        {
            if (_instance == null)
            {
                _instance = new DataListSingleton();
            }
            return _instance;
        }
    }
}